> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/flow/settimeout.md).

# setTimeout

## Description

Calls a function or evaluates an expression after a specified number of seconds.

## Input / Parameter

| Name       | Description                                                                        | Input Type | Default | Options     | Required |
| ---------- | ---------------------------------------------------------------------------------- | ---------- | ------- | ----------- | -------- |
| timeout    | The time before a function is executed, in milliseconds.                           | Number     | 0       | -           | No       |
| persistent | To identify whether this should still be executed outside the current active page. | Boolean    | false   | true, false | No       |
| extra      | The value to be included to the 'callback' as a system value under 'extra'.        | Any        | -       | -           | No       |

## Output

N/A

## Callback

### yesCallback

The function to be executed after the timeout.

## Video

Coming Soon.

## Example

The user wants to display the infoDialog after 3 seconds.

### Step

1. Call the function `setTimeout` to a button component with event `click` and enter the duration of the timeout.\
   timeout: 3000<br>

   ![](/files/lmgJuC7LpmN6PhutKUSq)

   ![](/files/22gKvyEhzPQ47Vb5rDtj)
2. Call the function `infoDialog` in the callback of the `setTimeout` function to display a infoDialog after 3 seconds.\
   title: Message\
   content: Done\
   disableTimer: true<br>

   ![](/files/xIknS5A94h1mj50zReTb)

   ![](/files/00p6rlclO9RhkvVUa6Sq)

### Result

When the button is pressed, the infoDialog will appear after 3 seconds.

![](/files/HbSLfLaEhpCVmdxzOtwM)

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/flow/settimeout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
